summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2021-11-29 06:22:16 +0100
committerDavide Pesavento <pesa@gentoo.org>2021-11-29 06:36:27 +0100
commit70f35cac6407c88c051c2f6e9326457de6acf194 (patch)
tree7f90ae4246d22bf6509070ebdd4d1bff644421d2
parentnet-libs/glib-networking: apply upstream patch for 32-bit test failure (diff)
downloadgentoo-70f35cac6407c88c051c2f6e9326457de6acf194.tar.gz
gentoo-70f35cac6407c88c051c2f6e9326457de6acf194.tar.bz2
gentoo-70f35cac6407c88c051c2f6e9326457de6acf194.zip
dev-qt/qt-creator: various test fixes
Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
-rw-r--r--dev-qt/qt-creator/qt-creator-9999.ebuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/dev-qt/qt-creator/qt-creator-9999.ebuild b/dev-qt/qt-creator/qt-creator-9999.ebuild
index 10d2dbc089f..c199ce2d341 100644
--- a/dev-qt/qt-creator/qt-creator-9999.ebuild
+++ b/dev-qt/qt-creator/qt-creator-9999.ebuild
@@ -36,7 +36,7 @@ RESTRICT="!test? ( test )"
REQUIRED_USE="
android? ( lsp )
boot2qt? ( remotelinux )
- clang? ( lsp test? ( qbs ) )
+ clang? ( lsp )
mcu? ( baremetal cmake )
python? ( lsp )
qnx? ( remotelinux )
@@ -152,7 +152,7 @@ src_prepare() {
if ! use qml; then
sed -i -e '/advanceddockingsystem\|qmleditorwidgets/d' src/libs/libs.pro || die
sed -i -e '/qml2puppet/d' src/tools/tools.pro || die
- sed -i -e '/qmldesigner/d' tests/auto/qml/qml.pro || die
+ sed -i -e '/qmldesigner\|qmlprojectmanager/d' tests/auto/qml/qml.pro || die
fi
if ! use valgrind; then
sed -i -e '/valgrindfake/d' src/tools/tools.pro || die
@@ -166,9 +166,12 @@ src_prepare() {
# disable broken or unreliable tests
sed -i -e 's/\(manual\|tools\|unit\)//g' tests/tests.pro || die
- sed -i -e '/\(dumpers\|namedemangler\)\.pro/d' tests/auto/debugger/debugger.pro || die
+ sed -i -e '/dumpers\.pro/d' tests/auto/debugger/debugger.pro || die
sed -i -e '/CONFIG -=/s/$/ testcase/' tests/auto/extensionsystem/pluginmanager/correctplugins1/plugin?/plugin?.pro || die
- sed -i -e 's/\<check\>//' tests/auto/qml/codemodel/codemodel.pro || die
+ sed -i -e '/reformatter/d' tests/auto/qml/qml.pro || die
+ sed -i -e 's/\<\(imports\|\)check\>//' tests/auto/qml/codemodel/codemodel.pro || die
+ sed -i -e '/timelineitemsrenderpass/d' tests/auto/tracing/tracing.pro || die
+ sed -i -e '/qtcprocess/d' tests/auto/utils/utils.pro || die
# do not install test binaries
sed -i -e '/CONFIG +=/s/$/ no_testcase_installs/' tests/auto/{qttest.pri,json/json.pro} || die